# Shipping Address Object

| No | Name              | Type                                                                | Mandatory | Min Length | Max Length | Description                             |
| -- | ----------------- | ------------------------------------------------------------------- | --------- | ---------- | ---------- | --------------------------------------- |
| 1  | city              | String                                                              | O         | 1          | 100        | Shipping address city                   |
| 2  | company           | String                                                              | O         | 1          | 100        | Shipping address company                |
| 3  | country           | String                                                              | O         | 3          | 3          | Shipping address country                |
| 4  | postcodeZip       | Alpha Dash                                                          | O         | 1          | 10         | Shipping address postcodeZip            |
| 5  | stateProvince     | String                                                              | O         | 1          | 20         | Shipping Address State Province         |
| 6  | stateProvinceCode | String                                                              | O         | 1          | 3          | Shipping Address State Province Code    |
| 7  | street            | String                                                              | O         | 1          | 100        | Shipping Address Street                 |
| 8  | street2           | String                                                              | O         | 1          | 100        | Shipping Address Street (Additional)    |
| 9  | source            | String                                                              | O         | 1          | 20         | Shipping Address source                 |
| 10 | sameAsBilling     | [Enum](/api-reference/appendix/enumeration/same-as-billing-list.md) | O         | 1          | 20         | Shipping Address (sameAsBilling or not) |

```
"shipping": {
    "address": {
        "city": "Jakarta Selatan",
        "company": "Finnet Indonesia",
        "country": "IDN",
        "postcodeZip": "12740",
        "stateProvince": "DKI Jakarta",
        "stateProvinceCode": "31",
        "street": "Jalan Gatot Subroto",
        "street2": "Jalan Gatot Subroto",
        "source": "Jakarta",
        "sameAsBilling": "SAME"
    }
}
```

[<br>](https://hub.finpay.id/docs/object/service-provider)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/shipping-address-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
